Ulsav Docs

Organizations

GET
/api/v1/account/memberships

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/account/memberships'
Example Response
{  "$schema": "https://example.com/schemas/PageMembershipView.json",  "data": [    {      "memberId": "string",      "organization": {        "$schema": "https://example.com/schemas/Organization.json",        "brandAccent": "string",        "contactEmail": "string",        "contactPhone": "string",        "createdAt": "2019-08-24T14:15:22Z",        "defaultLocationCityId": "string",        "description": "string",        "feeBearer": "string",        "iconPath": "string",        "iconUrl": "string",        "id": "string",        "logoPath": "string",        "logoUrl": "string",        "name": "string",        "payoutCountry": "string",        "platformFeeBps": 0,        "platformFeeFixedMinor": 0,        "preferredCurrency": "string",        "slug": "string",        "socialLinks": {          "property1": "string",          "property2": "string"        },        "suspended": true,        "suspendedAt": "2019-08-24T14:15:22Z",        "taxCity": "string",        "taxCountry": "string",        "taxIdentifier": "string",        "taxInclusive": true,        "taxRateBps": 0,        "taxState": "string",        "timezone": "string",        "trackingConsentRequired": true,        "trackingGa4Id": "string",        "trackingGtmId": "string",        "trackingMetaPixelId": "string",        "trackingTiktokPixelId": "string",        "updatedAt": "2019-08-24T14:15:22Z",        "websiteUrl": "string"      },      "roleKeys": [        "string"      ]    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
POST
/api/v1/invites/accept

Request Body

application/json
  1. body
token*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
accountId*string
createdAt*string
Formatdate-time
displayName?string
email?string
memberId*string
organizationId*string
roleKeys*array<string>|null
Example Request
curl -X POST 'https://example.com/api/v1/invites/accept' \  -H 'Content-Type: application/json' \  -d '{  "token": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/Membership.json",  "accountId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "displayName": "string",  "email": "string",  "memberId": "string",  "organizationId": "string",  "roleKeys": [    "string"  ]}
GET
/api/v1/organizations

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations'
Example Response
{  "$schema": "https://example.com/schemas/PageOrganization.json",  "data": [    {      "$schema": "https://example.com/schemas/Organization.json",      "brandAccent": "string",      "contactEmail": "string",      "contactPhone": "string",      "createdAt": "2019-08-24T14:15:22Z",      "defaultLocationCityId": "string",      "description": "string",      "feeBearer": "string",      "iconPath": "string",      "iconUrl": "string",      "id": "string",      "logoPath": "string",      "logoUrl": "string",      "name": "string",      "payoutCountry": "string",      "platformFeeBps": 0,      "platformFeeFixedMinor": 0,      "preferredCurrency": "string",      "slug": "string",      "socialLinks": {        "property1": "string",        "property2": "string"      },      "suspended": true,      "suspendedAt": "2019-08-24T14:15:22Z",      "taxCity": "string",      "taxCountry": "string",      "taxIdentifier": "string",      "taxInclusive": true,      "taxRateBps": 0,      "taxState": "string",      "timezone": "string",      "trackingConsentRequired": true,      "trackingGa4Id": "string",      "trackingGtmId": "string",      "trackingMetaPixelId": "string",      "trackingTiktokPixelId": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "websiteUrl": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
POST
/api/v1/organizations

Header Parameters

Idempotency-Key?string

Request Body

application/json
  1. body
description?string
name*string
slug?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
membership*
organization*
Example Request
curl -X POST 'https://example.com/api/v1/organizations' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/CreateOutputBody.json",  "membership": {    "$schema": "https://example.com/schemas/Membership.json",    "accountId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "displayName": "string",    "email": "string",    "memberId": "string",    "organizationId": "string",    "roleKeys": [      "string"    ]  },  "organization": {    "$schema": "https://example.com/schemas/Organization.json",    "brandAccent": "string",    "contactEmail": "string",    "contactPhone": "string",    "createdAt": "2019-08-24T14:15:22Z",    "defaultLocationCityId": "string",    "description": "string",    "feeBearer": "string",    "iconPath": "string",    "iconUrl": "string",    "id": "string",    "logoPath": "string",    "logoUrl": "string",    "name": "string",    "payoutCountry": "string",    "platformFeeBps": 0,    "platformFeeFixedMinor": 0,    "preferredCurrency": "string",    "slug": "string",    "socialLinks": {      "property1": "string",      "property2": "string"    },    "suspended": true,    "suspendedAt": "2019-08-24T14:15:22Z",    "taxCity": "string",    "taxCountry": "string",    "taxIdentifier": "string",    "taxInclusive": true,    "taxRateBps": 0,    "taxState": "string",    "timezone": "string",    "trackingConsentRequired": true,    "trackingGa4Id": "string",    "trackingGtmId": "string",    "trackingMetaPixelId": "string",    "trackingTiktokPixelId": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "websiteUrl": "string"  }}
GET
/api/v1/organizations/slug-availability

Query Parameters

slug*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
available*boolean
Example Request
curl -X GET 'https://example.com/api/v1/organizations/slug-availability?slug=string'
Example Response
{  "$schema": "https://example.com/schemas/SlugOutputBody.json",  "available": true}
GET
/api/v1/organizations/{organization_id}

Path Parameters

organization_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
brandAccent?string
contactEmail?string
contactPhone?string
createdAt*string
Formatdate-time
defaultLocationCityId?string
description?string
feeBearer*string
iconPath?string
iconUrl?string
id*string
logoPath?string
logoUrl?string
name*string
payoutCountry?string
platformFeeBps*integer
Formatint64
platformFeeFixedMinor*integer
Formatint64
preferredCurrency*string
slug*string
socialLinks?
suspended*boolean
suspendedAt?string
Formatdate-time
taxCity?string
taxCountry*string
taxIdentifier?string
taxInclusive*boolean
taxRateBps*integer
Formatint64
taxState?string
timezone?string
trackingConsentRequired*boolean
trackingGa4Id?string
trackingGtmId?string
trackingMetaPixelId?string
trackingTiktokPixelId?string
updatedAt*string
Formatdate-time
websiteUrl?string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string'
Example Response
{  "$schema": "https://example.com/schemas/Organization.json",  "brandAccent": "string",  "contactEmail": "string",  "contactPhone": "string",  "createdAt": "2019-08-24T14:15:22Z",  "defaultLocationCityId": "string",  "description": "string",  "feeBearer": "string",  "iconPath": "string",  "iconUrl": "string",  "id": "string",  "logoPath": "string",  "logoUrl": "string",  "name": "string",  "payoutCountry": "string",  "platformFeeBps": 0,  "platformFeeFixedMinor": 0,  "preferredCurrency": "string",  "slug": "string",  "socialLinks": {    "property1": "string",    "property2": "string"  },  "suspended": true,  "suspendedAt": "2019-08-24T14:15:22Z",  "taxCity": "string",  "taxCountry": "string",  "taxIdentifier": "string",  "taxInclusive": true,  "taxRateBps": 0,  "taxState": "string",  "timezone": "string",  "trackingConsentRequired": true,  "trackingGa4Id": "string",  "trackingGtmId": "string",  "trackingMetaPixelId": "string",  "trackingTiktokPixelId": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "websiteUrl": "string"}
PATCH
/api/v1/organizations/{organization_id}

Path Parameters

organization_id*string

Request Body

application/json
  1. body
brandAccent?string
contactEmail?string
contactPhone?string
defaultLocationCityId?string
description?string
iconPath?string
logoPath?string
name?string
slug?string
socialLinks?
timezone?string
websiteUrl?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
brandAccent?string
contactEmail?string
contactPhone?string
createdAt*string
Formatdate-time
defaultLocationCityId?string
description?string
feeBearer*string
iconPath?string
iconUrl?string
id*string
logoPath?string
logoUrl?string
name*string
payoutCountry?string
platformFeeBps*integer
Formatint64
platformFeeFixedMinor*integer
Formatint64
preferredCurrency*string
slug*string
socialLinks?
suspended*boolean
suspendedAt?string
Formatdate-time
taxCity?string
taxCountry*string
taxIdentifier?string
taxInclusive*boolean
taxRateBps*integer
Formatint64
taxState?string
timezone?string
trackingConsentRequired*boolean
trackingGa4Id?string
trackingGtmId?string
trackingMetaPixelId?string
trackingTiktokPixelId?string
updatedAt*string
Formatdate-time
websiteUrl?string
Example Request
curl -X PATCH 'https://example.com/api/v1/organizations/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/Organization.json",  "brandAccent": "string",  "contactEmail": "string",  "contactPhone": "string",  "createdAt": "2019-08-24T14:15:22Z",  "defaultLocationCityId": "string",  "description": "string",  "feeBearer": "string",  "iconPath": "string",  "iconUrl": "string",  "id": "string",  "logoPath": "string",  "logoUrl": "string",  "name": "string",  "payoutCountry": "string",  "platformFeeBps": 0,  "platformFeeFixedMinor": 0,  "preferredCurrency": "string",  "slug": "string",  "socialLinks": {    "property1": "string",    "property2": "string"  },  "suspended": true,  "suspendedAt": "2019-08-24T14:15:22Z",  "taxCity": "string",  "taxCountry": "string",  "taxIdentifier": "string",  "taxInclusive": true,  "taxRateBps": 0,  "taxState": "string",  "timezone": "string",  "trackingConsentRequired": true,  "trackingGa4Id": "string",  "trackingGtmId": "string",  "trackingMetaPixelId": "string",  "trackingTiktokPixelId": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "websiteUrl": "string"}
GET
/api/v1/organizations/{organization_id}/assignments

Path Parameters

organization_id*string

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/assignments'
Example Response
{  "$schema": "https://example.com/schemas/PageRoleAssignment.json",  "data": [    {      "$schema": "https://example.com/schemas/RoleAssignment.json",      "createdAt": "2019-08-24T14:15:22Z",      "createdBy": "string",      "id": "string",      "memberId": "string",      "organizationId": "string",      "revokedAt": "2019-08-24T14:15:22Z",      "roleId": "string",      "roleKey": "string",      "scopeId": "string",      "scopeType": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
POST
/api/v1/organizations/{organization_id}/assignments

Path Parameters

organization_id*string

Request Body

application/json
  1. body
memberId*string
roleKey*string
scopeId?string
scopeType?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
createdAt*string
Formatdate-time
createdBy?string
id*string
memberId*string
organizationId*string
revokedAt?string
Formatdate-time
roleId*string
roleKey*string
scopeId*string
scopeType*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/assignments' \  -H 'Content-Type: application/json' \  -d '{  "memberId": "string",  "roleKey": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/RoleAssignment.json",  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": "string",  "id": "string",  "memberId": "string",  "organizationId": "string",  "revokedAt": "2019-08-24T14:15:22Z",  "roleId": "string",  "roleKey": "string",  "scopeId": "string",  "scopeType": "string"}
DELETE
/api/v1/organizations/{organization_id}/assignments

Path Parameters

organization_id*string

Request Body

application/json
  1. body
memberId*string
roleKey*string
scopeId?string
scopeType?string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/assignments' \  -H 'Content-Type: application/json' \  -d '{  "memberId": "string",  "roleKey": "string"}'
Example Response
Empty
GET
/api/v1/organizations/{organization_id}/capabilities

Path Parameters

organization_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
capabilities*array<string>|null
version*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/capabilities'
Example Response
{  "$schema": "https://example.com/schemas/CapabilitiesOutputBody.json",  "capabilities": [    "string"  ],  "version": "string"}
PUT
/api/v1/organizations/{organization_id}/commercial

Path Parameters

organization_id*string

Request Body

application/json
  1. body
feeBearer?string
payoutCountry?string
platformFeeBps?integer
Formatint64
platformFeeFixedMinor?integer
Formatint64
preferredCurrency?string
taxCity?string
taxCountry?string
taxIdentifier?string
taxInclusive?boolean
taxRateBps?integer
Formatint64
taxState?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
brandAccent?string
contactEmail?string
contactPhone?string
createdAt*string
Formatdate-time
defaultLocationCityId?string
description?string
feeBearer*string
iconPath?string
iconUrl?string
id*string
logoPath?string
logoUrl?string
name*string
payoutCountry?string
platformFeeBps*integer
Formatint64
platformFeeFixedMinor*integer
Formatint64
preferredCurrency*string
slug*string
socialLinks?
suspended*boolean
suspendedAt?string
Formatdate-time
taxCity?string
taxCountry*string
taxIdentifier?string
taxInclusive*boolean
taxRateBps*integer
Formatint64
taxState?string
timezone?string
trackingConsentRequired*boolean
trackingGa4Id?string
trackingGtmId?string
trackingMetaPixelId?string
trackingTiktokPixelId?string
updatedAt*string
Formatdate-time
websiteUrl?string
Example Request
curl -X PUT 'https://example.com/api/v1/organizations/string/commercial' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/Organization.json",  "brandAccent": "string",  "contactEmail": "string",  "contactPhone": "string",  "createdAt": "2019-08-24T14:15:22Z",  "defaultLocationCityId": "string",  "description": "string",  "feeBearer": "string",  "iconPath": "string",  "iconUrl": "string",  "id": "string",  "logoPath": "string",  "logoUrl": "string",  "name": "string",  "payoutCountry": "string",  "platformFeeBps": 0,  "platformFeeFixedMinor": 0,  "preferredCurrency": "string",  "slug": "string",  "socialLinks": {    "property1": "string",    "property2": "string"  },  "suspended": true,  "suspendedAt": "2019-08-24T14:15:22Z",  "taxCity": "string",  "taxCountry": "string",  "taxIdentifier": "string",  "taxInclusive": true,  "taxRateBps": 0,  "taxState": "string",  "timezone": "string",  "trackingConsentRequired": true,  "trackingGa4Id": "string",  "trackingGtmId": "string",  "trackingMetaPixelId": "string",  "trackingTiktokPixelId": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "websiteUrl": "string"}
GET
/api/v1/organizations/{organization_id}/effective-capabilities

Path Parameters

organization_id*string

Query Parameters

scopeType?string
scopeId?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
capabilities*array<string>|null
roleKeys*array<string>|null
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/effective-capabilities'
Example Response
{  "$schema": "https://example.com/schemas/EffectiveCapabilitiesOutputBody.json",  "capabilities": [    "string"  ],  "roleKeys": [    "string"  ]}
POST
/api/v1/organizations/{organization_id}/invites

Path Parameters

organization_id*string

Request Body

application/json
  1. body
contactKind*string
contactValue*string
roleKeys*array<string>|null

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
invite*
token*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/invites' \  -H 'Content-Type: application/json' \  -d '{  "contactKind": "string",  "contactValue": "string",  "roleKeys": [    "string"  ]}'
Example Response
{  "$schema": "https://example.com/schemas/InviteWithToken.json",  "invite": {    "contactKind": "string",    "contactValue": "string",    "createdAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "id": "string",    "organizationId": "string",    "roleKeys": [      "string"    ],    "status": "string"  },  "token": "string"}

Revoke a pending invite

DELETE
/api/v1/organizations/{organization_id}/invites/{invite_id}

Path Parameters

organization_id*string
invite_id*string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/invites/string'
Example Response
Empty
GET
/api/v1/organizations/{organization_id}/members

Path Parameters

organization_id*string

Query Parameters

q?string

Case-insensitive member name, email, contact, or role search

ids?array<string>|

Resolve these exact member/invite ids. Repeat or comma-separate for several; use to look up labels for selected ids.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/members'
Example Response
{  "$schema": "https://example.com/schemas/PageMemberListEntry.json",  "data": [    {      "accountId": "string",      "contactKind": "string",      "contactValue": "string",      "createdAt": "2019-08-24T14:15:22Z",      "displayName": "string",      "email": "string",      "id": "string",      "organizationId": "string",      "roleKeys": [        "string"      ],      "status": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
DELETE
/api/v1/organizations/{organization_id}/members/{member_id}

Path Parameters

organization_id*string
member_id*string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/members/string'
Example Response
Empty
GET
/api/v1/organizations/{organization_id}/public-tracking

Path Parameters

organization_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
consentRequired*boolean
enabled*boolean
ga4Id*string
gtmId*string
metaPixelId*string
tiktokPixelId*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/public-tracking'
Example Response
{  "$schema": "https://example.com/schemas/TrackingProfile.json",  "consentRequired": true,  "enabled": true,  "ga4Id": "string",  "gtmId": "string",  "metaPixelId": "string",  "tiktokPixelId": "string"}

List Organization Roles

GET
/api/v1/organizations/{organization_id}/roles

Path Parameters

organization_id*string

Query Parameters

q?string

Case-insensitive role key or name search

ids?array<string>|

Resolve these exact Role ids. Repeat or comma-separate for several; use to look up labels for selected ids.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/roles'
Example Response
{  "$schema": "https://example.com/schemas/PageRole.json",  "data": [    {      "$schema": "https://example.com/schemas/Role.json",      "capabilities": [        "string"      ],      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "isProtected": true,      "key": "string",      "name": "string",      "organizationId": "string",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
POST
/api/v1/organizations/{organization_id}/roles

Path Parameters

organization_id*string

Request Body

application/json
  1. body
capabilities*array<string>|null
key*string
name*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
capabilities*array<string>|null
createdAt*string
Formatdate-time
id*string
isProtected*boolean
key*string
name*string
organizationId*string
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/roles' \  -H 'Content-Type: application/json' \  -d '{  "capabilities": [    "string"  ],  "key": "string",  "name": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/Role.json",  "capabilities": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "id": "string",  "isProtected": true,  "key": "string",  "name": "string",  "organizationId": "string",  "updatedAt": "2019-08-24T14:15:22Z"}

Update a custom Role

PATCH
/api/v1/organizations/{organization_id}/roles/{role_id}

Path Parameters

organization_id*string
role_id*string

Request Body

application/json
  1. body
capabilities?array<string>|null
name?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
capabilities*array<string>|null
createdAt*string
Formatdate-time
id*string
isProtected*boolean
key*string
name*string
organizationId*string
updatedAt*string
Formatdate-time
Example Request
curl -X PATCH 'https://example.com/api/v1/organizations/string/roles/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/Role.json",  "capabilities": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "id": "string",  "isProtected": true,  "key": "string",  "name": "string",  "organizationId": "string",  "updatedAt": "2019-08-24T14:15:22Z"}

Delete a custom Role

DELETE
/api/v1/organizations/{organization_id}/roles/{role_id}

Path Parameters

organization_id*string
role_id*string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/roles/string'
Example Response
Empty
GET
/api/v1/organizations/{organization_id}/tracking

Path Parameters

organization_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
consentRequired*boolean
enabled*boolean
ga4Id*string
gtmId*string
metaPixelId*string
tiktokPixelId*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/tracking'
Example Response
{  "$schema": "https://example.com/schemas/TrackingProfile.json",  "consentRequired": true,  "enabled": true,  "ga4Id": "string",  "gtmId": "string",  "metaPixelId": "string",  "tiktokPixelId": "string"}
PUT
/api/v1/organizations/{organization_id}/tracking

Path Parameters

organization_id*string

Request Body

application/json
  1. body
consentRequired*boolean|null
ga4Id*string|null
gtmId*string|null
metaPixelId*string|null
tiktokPixelId*string|null

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
consentRequired*boolean
enabled*boolean
ga4Id*string
gtmId*string
metaPixelId*string
tiktokPixelId*string
Example Request
curl -X PUT 'https://example.com/api/v1/organizations/string/tracking' \  -H 'Content-Type: application/json' \  -d '{  "consentRequired": true,  "ga4Id": "string",  "gtmId": "string",  "metaPixelId": "string",  "tiktokPixelId": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/TrackingProfile.json",  "consentRequired": true,  "enabled": true,  "ga4Id": "string",  "gtmId": "string",  "metaPixelId": "string",  "tiktokPixelId": "string"}